LOCAL xdoc AS MSXML2.DOMDocument

CLEAR 
*!* Creamos un objeto basado en MSXML
xdoc=CREATEOBJECT('MSXML2.DOMdocument')
*!* Cargamos el archivo XML a procesar
xdoc.LOAD('CDs.xml')

*!* Llamamos a la funcin LeerCDs pasndole el nodo raz (DCs)
LeerCDs(xdoc.documentElement.childNodes)

FUNCTION LeerCDs
	LPARAMETERS	root AS MSXML2.IXMLDOMNode

	LOCAL CHILD AS MSXML2.IXMLDOMNode

	*!* Aqui se procesan los nodos (DC,Artista,Titulo,Temas y Tema)
	FOR EACH CHILD IN root
		IF CHILD.nodeName="CD"
			*!* Mostramos la informacin referente al CD
			? REPLICATE("=",30)
			*!* CHILD.ATTRIBUTES.ITEM(0).TEXT hace referencia al primer atributo del nodo
			? "Gnero : "+CHILD.ATTRIBUTES.ITEM(0).TEXT
		ELSE
			IF CHILD.nodeName="Artista"
				*!* Mostramos la informacin referente al artista
				? "Tipo de Artista : "+CHILD.ATTRIBUTES.ITEM(0).TEXT
				? "Artista : "+CHILD.TEXT
			ELSE
				IF CHILD.nodeName="Titulo"
					*!* Mostramos la informacin referente al ttulo
					? "Ttulo del DC : "+CHILD.TEXT
					? REPLICATE("=",30)
				ELSE
					IF CHILD.nodeName="Temas"
						*!* Mostramos el nmero de temas
						? "Nmero de temas del CD : "+CHILD.ATTRIBUTES.ITEM(0).TEXT
					ELSE
						IF CHILD.nodeName="Tema"
							*!* Mostramos los temas con su duracin
							? CHILD.TEXT+" "+CHILD.ATTRIBUTES.ITEM(0).TEXT
						ENDIF
					ENDIF
				ENDIF
			ENDIF
		ENDIF
		*!* Si el nodo que estamos procesando tiene descendencia volvemos a llamar a la funcin LeerCDs pasandole el nodo actual
		*!* Esto sucede cuando se procesa el nodo (Temas)
		IF CHILD.hasChildNodes
			LeerCDs(CHILD.childNodes)
		ENDIF
	ENDFOR
ENDFUNC
